package edu.georgetown.gucs.configurations;

import org.apache.commons.configuration.Configuration;
import org.apache.commons.configuration.ConfigurationException;
import org.apache.commons.configuration.DefaultConfigurationBuilder;
import org.apache.commons.configuration.XMLConfiguration;

import java.io.File;


/**
 * @author Evan
 * @since 3/18/15
 * <p>
 * Create a set of central classes to read sdtext configuration files
 */
public class Config {

    XMLConfiguration config = null;

    public Config(String configFile) {
        DefaultConfigurationBuilder builder = new DefaultConfigurationBuilder();
        builder.setFile(new File(configFile));

        try {
            Configuration config = builder.getConfiguration(true);
        } catch (ConfigurationException e) {
            e.printStackTrace();
        }


    }
}
